Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
[Groovy] Class ConfigurationHelper

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.ConfigurationHelper

    class ConfigurationHelper
    extends java.lang.Object

Helper methods for initialising config object.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static int` | `DEV_CACHE_KEY`

Method Summary
`static void` | `clearCachedConfigs()`
`static groovy.util.ConfigSlurper` | `getConfigSlurper(java.lang.String environment, GrailsApplication application)`
`static void` | `initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)` Loads external configuration and merges with ConfigObject
`static groovy.util.ConfigObject` | `loadConfigFromClasspath(java.lang.String environment)`
`static groovy.util.ConfigObject` | `loadConfigFromClasspath(DefaultGrailsApplication application = null, java.lang.String environment = Environment.current.name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEV_CACHE_KEY

    public static final int DEV_CACHE_KEY

Method Detail

### clearCachedConfigs

    @CompileStatic
    static void clearCachedConfigs()

### getConfigSlurper

    @CompileStatic
    static groovy.util.ConfigSlurper getConfigSlurper(java.lang.String environment, GrailsApplication application)

### initConfig

    @CompileStatic
    static void initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)

  Loads external configuration and merges with ConfigObject

### loadConfigFromClasspath

    @CompileStatic
    static groovy.util.ConfigObject loadConfigFromClasspath(java.lang.String environment)

### loadConfigFromClasspath

    @CompileStatic
    static groovy.util.ConfigObject loadConfigFromClasspath(DefaultGrailsApplication application = null, java.lang.String environment = Environment.current.name)

Groovy Documentation